FToggleNode
Keywords: com.fg.ftreenodes.FToggleNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class FToggleNode

    java.lang.Object
      com.fg.ftree.FBasicNode
          com.fg.ftreenodes.FAbstractToggleNode
              com.fg.ftreenodes.FToggleNode

All Implemented Interfaces:
  FActionConstants, FNodeCellGUI, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  FToggleDataNode

public class FToggleNode
extends FAbstractToggleNode

FToggleNode extends `FAbstractToggleNode` abstract class with "associate" field and provides access methods to it. Besides, the class provides "do-nothing" implementation for all the `FAbstractToggleNode` abstract methods. The FToggleNode exposes `FToggleControl` as a GUI component.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `FAbstractToggleNode`, `FToggleControl`, `FTree`

Field Summary

Fields inherited from class com.fg.ftreenodes.FAbstractToggleNode
`TOGGLE_SELECTION_CHANGED`

Fields inherited from class com.fg.ftree.FBasicNode
`ALLOWS_CHILDREN, EDITABLE`

Fields inherited from interface com.fg.ftree.FActionConstants
`CHANGE_EXPANSION, DROP_SELECTION, EDIT_CELL, NO_ACTION, SELECT_NODE`

Constructor Summary
`FToggleNode(CommonSettings cs)`
`FToggleNode(CommonSettings cs, java.lang.String labelText)`

Method Summary
`java.lang.Object` | `getAssociate()`
`java.lang.Object` | `getExtraClassOrId()`
`Params` | `getParameters()`
`java.lang.Object` | `getValue()`
`void` | `setAssociate(java.lang.Object associate)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.fg.ftreenodes.FAbstractToggleNode
`cellClicked, createCellControl, getAllowsFlattening, getCellControlKey, getChildrenValidity, getFadedLabelImage, getFolderBackground, getFolderBarColor, getFolderColor, getLabelImage, getLabelText, getNodeValidity, getRealChildAt, getRealChildCount, getRowHeight, getSubstituteNode, insert, isFolderBarDecorated, isNodeSelectionAllowed, isPathSelected, isRadioUnselectable, isToggleEnabled, isToggleRadio, isToggleSelected, isToggleVisible, remove, setAllowsFlattening, setFolderBarDecorated, setLabelText, setNodeValidity, setParameters, setRadioUnselectable, setToggleEnabled, setToggleRadio, setToggleSelected, setToggleVisible, toString, updateCellControl, updateNode`

Methods inherited from class com.fg.ftree.FBasicNode
`add, children, getAllowsChildren, getChildAt, getChildCount, getFlag, getIndex, getParent, getPath, isEditable, isLeaf, moveContentTo, remove, removeFromParent, setAllowsChildren, setBranchEditable, setEditable, setFlag, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FToggleNode

    public FToggleNode(CommonSettings cs)

### FToggleNode

    public FToggleNode(CommonSettings cs,
                       java.lang.String labelText)

Method Detail

### getExtraClassOrId

    public java.lang.Object getExtraClassOrId()

  Specified by:
    `getExtraClassOrId` in class `FAbstractToggleNode`

### getParameters

    public Params getParameters()

  Specified by:
    `getParameters` in class `FAbstractToggleNode`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in class `FAbstractToggleNode`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in class `FAbstractToggleNode`

### getAssociate

    public java.lang.Object getAssociate()

  Overrides:
    `getAssociate` in class `FAbstractToggleNode`

### setAssociate

    public void setAssociate(java.lang.Object associate)

  Overrides:
    `setAssociate` in class `FAbstractToggleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD